Loading...
Searching...
No Matches
Opm::Properties::BlackOilEnergyScalingFactor< TypeTag, MyTypeTag > Struct Template Reference

The relative weight of the residual of the energy equation compared to the mass residuals. More...

`#include <blackoilproperties.hh>`

## Public Types

using | type = UndefinedProperty

## Detailed Description

template<class TypeTag, class MyTypeTag>
struct Opm::Properties::BlackOilEnergyScalingFactor< TypeTag, MyTypeTag >

The relative weight of the residual of the energy equation compared to the mass residuals.

this is basically a hack to work around the limitation that the convergence criterion of unmodified dune-istl linear solvers cannot weight the individual equations. if the energy equation is not scaled, its absolute value is normally several orders of magnitude larger than that of the mass balance equations

The documentation for this struct was generated from the following file:

- opm/models/blackoil/blackoilproperties.hh